# 数据库脚本说明
## 脚本编写要求：

- 所有变更都要同步到ddl脚本中
- 要求：所有脚本必须是可反复执行无差别（幂等）：
  - 插入数据要求用INSERT IGNORE INTO 防止覆盖用户数据。
  - 对于需要强制刷新的系统数据可用更新语句 INSERT INTO xxx ON DUPLICATE KEY UPDATE 或者  REPLACE INTO  xxx
  - 不允许直接删除表或数据库后再重新创建的语句，只能判断后再创建：CREATE TABLE IF NOT EXISTS `表名`
  - 索引字段ALTER修改可用更新脚本存储过程，在update脚本中创建存储过程中在修改字段时先判断是否存在
- 不允许在程序不更新情况下无法运行：
  - 增加/修改字段，不允许将之设置为非空并且没有默认值
  - 不允许改名字段。
  - 删除表或字段操作，只需要更新ddl进行删除即可，不要提交update版本的脚本，防止用户误操作。


## 命名规范

{执行序号}_{db名称}_{创建时间}-{脚本序号}_{版本号}_{db类型}.sql

**参数说明：**
**执行序号**： 4位数： 从0001开始增长，用于指明执行顺序，若重复则使用后续的创建时间与脚本序号判定执行顺序
**db名称**:  各微服务模块连接的数据库名称，如job_manage、job_execute，分隔符使用下划线
**创建时间**： yyyyMMdd格式的创建时间
**脚本序号**： 从1000开始增长的序号，用于区分同一个库相同创建时间的多个SQL
**版本号**： 以V开头，后续为3/4位版本号，优先使用4位
**db类型**： mysql
